%define		_sysconfdir	/etc
Summary:	The Gimp Toolkit
Name: 		gtk2
Version: 	2.10.14
Release: 	1
License: 	LGPL
Group: 		Libraries
URL:            http://ftp.gnome.org/pub/GNOME/platform/
Source0: 	gtk+-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-cups-1.3.9.diff
BuildRoot:	/var/tmp/%{name}-%{version}-root
BuildRequires:  fontconfig-devel glib2-devel atk-devel glitz-devel cairo-devel pango-devel

%description
Remember to run "gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules"
Remember to run "gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders"

The X libraries originally written for the GIMP, which are now used by
several other programs as well.

%package 	devel
Summary:	GIMP Toolkit and GIMP Drawing Kit
Group:		Development

%description 	devel
Static libraries and header files for the GIMP's X libraries, which are
available as public libraries.  GLIB includes generally useful data
structures, GDK is a drawing toolkit which provides a thin layer over
Xlib to help automate things like dealing with different color depths,
and GTK is a widget set for creating user interfaces. Try  'gtk-demo'

%prep
%setup -q -n gtk+-%{version}
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS"
%configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--enable-threads=yes \
	--with-threads=posix \
	--enable-fbmanager \
	--with-gdktarget=x11 \
	--with-x \
	--disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install; chmod 755 $RPM_BUILD_ROOT/usr/lib
rm -r $RPM_BUILD_ROOT%{_datadir}/gtk-doc
mkdir -p $RPM_BUILD_ROOT/etc/gtk-2.0
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -x /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so ]; then
    rm /usr/lib/gtk-2.0/2.4.0/engines/libpixmap.so
fi

%post
gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders
ldconfig

%files
%defattr(-, root, root)
/etc
/usr/bin
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/lib/gtk-2.0/2.10.0/engines
/usr/lib/gtk-2.0/2.10.0/loaders
/usr/lib/gtk-2.0/2.10.0/immodules
/usr/lib/gtk-2.0/2.10.0/printbackends
/usr/share/gtk-2.0/demo
/usr/share/peanut
/usr/share/themes

%files devel
%defattr(-, root, root)
/usr/include
/usr/lib/gtk-2.0/include
/usr/lib/pkgconfig
/usr/share/aclocal
/usr/share/locale
